## org.jboss.verifier.factory
Interface VerificationEventFactory

All Superinterfaces:
  org.gjt.lindfors.pattern.AbstractFactory

All Known Implementing Classes:
  DefaultEventFactory

public interface VerificationEventFactory
extends org.gjt.lindfors.pattern.AbstractFactory

Abstract factory for verification events. For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.2 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  << OTHER RELATED CLASSES >>

Method Summary
`VerificationEvent` `createBeanVerifiedEvent(VerificationEventGenerator source)`
`VerificationEvent` `createSpecViolationEvent(VerificationEventGenerator source, Section section)`

Method Detail

### createSpecViolationEvent

    public VerificationEvent createSpecViolationEvent(VerificationEventGenerator source,
                                                      Section section)

### createBeanVerifiedEvent

    public VerificationEvent createBeanVerifiedEvent(VerificationEventGenerator source)

Copyright © 2000 The JBoss Organization. All Rights Reserved.